#include "BDD.h"
#include <ctime>
#include <stdlib.h>
#include <string>

int main(int argc, char *argv[]){

try{
clock_t start_nacti,end_nacti;
BDD diagram1;
char  fileName[100] ;

if(argc > 1)
  {
    strcpy(fileName,argv[1]);
  }
 else {
       cout << "Zadejte vstupni soubor" << endl;
       cin >> fileName;
      }

start_nacti = clock();
diagram1.nacti(fileName);
end_nacti = clock();

//diagram1.print_to_file("vysl.txt");


cout << "\nnacteni trvalo : " << (end_nacti-start_nacti)/CLOCKS_PER_SEC << " sekund" << endl;
cout << "je funkce tautologie ? :" << diagram1.isTautology() << endl;
cout << "BDD ma uzlu :" << diagram1.count_nodes() << endl;
return 0;

}catch(const char * str) { cerr<< str; }

return 0;
}
